Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 36347 - rewrite core/settings convertors to new Convertor API
rewrite core/settings convertors to new Convertor API
Status: CLOSED WONTFIX
Product: projects
Classification: Unclassified
Component: Generic Infrastructure
3.x
All All
: P1 (vote)
: TBD
Assigned To: issues@projects
issues@projects
projects, prj40-last-resort-Oct-2003
:
Depends on:
Blocks: 35050
  Show dependency treegraph
 
Reported: 2003-09-30 10:16 UTC by David Konecny
Modified: 2003-12-11 14:14 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Konecny 2003-09-30 10:16:35 UTC
SUBJ says it. The core/settings module is soon to
be deprecated and replaced by openide/convertor.
At the moment Registry uses both core/settings and
Convertor API for instance creation, but it is
temporary solution. The goal is to stop using
core/settings and old Datasystems at all.

Please rewrite all your convertors to new API. The
Convertor API is documented at
<http://www.netbeans.org/download/dev/javadoc/ConvertorAPI/index.html>.

The significant differencies are:
* convertors are stateless (no Lookup parameter)
* no autosave mechanism
* simplified registration
* format of persited data is namespace aware XML only

Lifecycle of objects in Registry is summarized in
<http://openide.netbeans.org/proposals/loaders/settings/objectlifecycle.html>.
Comment 1 David Konecny 2003-10-07 11:39:27 UTC
I'm changing this to P1. I would like to merge impl of DS-free
core/registry to trunk soon. Otherwise I have to maintain trunk and
branch what is additional overhead. Please let me know what is your
plan about this task. Thx.
Comment 2 Vitezslav Stejskal 2003-11-26 13:18:12 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss the
current work on projects prototype has been stopped.
Comment 3 Vitezslav Stejskal 2003-11-26 14:58:16 UTC
--> VERIFIED


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo